curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/auth/session' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"signup_enabled": true,
"authenticated": true,
"authorize_url": "/api/v1/customer/auth/authorize?returnTo=%2Fapp"
}
Customer Session Status
StateSet Voice API operation.
GET
/
api
/
v1
/
customer
/
auth
/
session
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/auth/session' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"signup_enabled": true,
"authenticated": true,
"authorize_url": "/api/v1/customer/auth/authorize?returnTo=%2Fapp"
}
StateSet Voice API operation.
Response
object
Status codes
| Code | Meaning |
|---|---|
200 | Customer session status: whether signup is enabled and whether the caller is authenticated |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/auth/session' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"signup_enabled": true,
"authenticated": true,
"authorize_url": "/api/v1/customer/auth/authorize?returnTo=%2Fapp"
}
Last modified on August 31, 2026